classification
Title: "..." is used to confusingly indicate many different things in chapter 3
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, gregory.p.smith, lew18, miss-islington
Priority: normal Keywords: patch

Created on 2018-05-10 23:33 by lew18, last changed 2018-12-19 17:19 by lew18. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7851 merged lew18, 2018-06-21 22:56
PR 9152 merged miss-islington, 2018-09-11 01:13
Messages (4)
msg316381 - (view) Author: Lew Kurtz (lew18) * Date: 2018-05-10 23:33
https://docs.python.org/3/tutorial/introduction.html
uses ... to mean 5 or 6 different things. Since ... is continuation prompt, some of these other uses on that page are confusing - at least they were to this newbie. The most confusing are where it is used to hide output in the error messages.

If someone has the patience to send me pointers on how to fix this, I would love to fix this myself. -Lew

ps. the section headers in chapter 3 also need some work, 3.1.1 is the only section that is really about python being a calculator 3.1.2 and 3.1.3 don't seem very 'calculator-y' - Id like to fix this too.
msg324970 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2018-09-11 01:13
New changeset f019579828ed62653e2d41c95278308fa076ccaf by Gregory P. Smith (Lew Kurtz) in branch 'master':
bpo-33460: remove ellipsis that look like continuation prompts (GH-7851)
https://github.com/python/cpython/commit/f019579828ed62653e2d41c95278308fa076ccaf
msg324977 - (view) Author: miss-islington (miss-islington) Date: 2018-09-11 01:49
New changeset 037582eb7f4d61604ef2dcc72f896117588eeb3c by Miss Islington (bot) in branch '3.7':
bpo-33460: remove ellipsis that look like continuation prompts (GH-7851)
https://github.com/python/cpython/commit/037582eb7f4d61604ef2dcc72f896117588eeb3c
msg332156 - (view) Author: Lew Kurtz (lew18) * Date: 2018-12-19 17:19
Removed the ellipses from the examples, so not confused with continuation prompt. Is clearer now.
History
Date User Action Args
2018-12-19 17:19:36lew18setstatus: pending -> closed
resolution: fixed
messages: + msg332156

stage: patch review -> resolved
2018-11-05 07:58:23serhiy.storchakasetstatus: open -> pending
2018-09-11 01:49:42miss-islingtonsetnosy: + miss-islington
messages: + msg324977
2018-09-11 01:13:21miss-islingtonsetpull_requests: + pull_request8599
2018-09-11 01:13:12gregory.p.smithsetnosy: + gregory.p.smith
messages: + msg324970
2018-06-26 03:05:22ppperrysettitle: ... used to indicate many different things in chapter 3, some are confusing -> "..." is used to confusingly indicate many different things in chapter 3
2018-06-21 22:56:48lew18setkeywords: + patch
stage: patch review
pull_requests: + pull_request7462
2018-05-10 23:33:17lew18create